Bug 4840 - Strip original message signatures from replies ("-- " separator)
: Strip original message signatures from replies ("-- " separator)
Status: RESOLVED WONTFIX
Product: Email
General
: 5.0/(3.2010.02-8)
: All Maemo
: Low enhancement with 4 votes (vote)
: ---
Assigned To: unassigned
: modest-bugs
:
: community-diablo, patch
:
:
  Show dependency tree
 
Reported: 2009-07-28 18:38 UTC by Lucas Maneos
Modified: 2012-03-24 11:39 UTC (History)
1 user (show)

See Also:


Attachments
Strip sig from plaintext replies (1.92 KB, patch)
2010-03-24 23:11 UTC, Matthew Wronka
Details
Same patch, without the top-posting fix (1.67 KB, patch)
2010-03-30 15:13 UTC, Matthew Wronka
Details
Patch, with K&R brackets (1.66 KB, patch)
2010-04-07 00:02 UTC, Matthew Wronka
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Lucas Maneos (reporter) 2009-07-28 18:38:00 UTC
SOFTWARE VERSION:
5.2008.43-7 (also in Fremantle beta2/modest from git).

STEPS TO REPRODUCE THE PROBLEM:
1. Receive a message containing a correctly delimited signature.
2. Open that message.
3. Tap the reply button.

EXPECTED OUTCOME:
Quoted text does not contain the original message's signature.

ACTUAL OUTCOME:
Quoted text includes the original message's signature.

REPRODUCIBILITY:
Always.

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
Comment 1 Matthew Wronka 2010-03-24 23:11:59 UTC
Created an attachment (id=2525) [details]
Strip sig from plaintext replies

This patch adds a new method to strip the signature block prior to quoting the
text.  This possibly could be done inside the quoting method, but as they're
two distinct actions it's probably best to keep them separate.
Comment 2 Matthew Wronka 2010-03-24 23:13:18 UTC
(From update of attachment 2525 [details])
nb, the patch also integrates the changes from the patch for bug 3700.
Comment 3 Lucas Maneos (reporter) 2010-03-28 17:00:06 UTC
Thanks for the patch!  At first glance it should be relatively easily
applicable to Diablo as well :-)

Sorry to be a pain, but could you attach a version containing only what's
relevant for this bug, and following modest's coding style (ie following the
recommendations of <http://wiki.maemo.org/The_Good_Patch>)?
Comment 4 Matthew Wronka 2010-03-30 15:13:41 UTC
Created an attachment (id=2546) [details]
Same patch, without the top-posting fix

I believe the patch follows the HACKING document; although modest doesn't build
cleanly for me out of git (-Werror causes fail in several places even before my
changes).
Comment 5 Lucas Maneos (reporter) 2010-04-03 12:05:58 UTC
(In reply to comment #4)
> I believe the patch follows the HACKING document

Almost, but the if/else should use K&R-style braces :-)
Comment 6 Matthew Wronka 2010-04-07 00:02:28 UTC
Created an attachment (id=2581) [details]
Patch, with K&R brackets

Indeed, might as well be correct about the style.  It's been too long since
I've been in C world obviously.
Comment 7 Lucas Maneos (reporter) 2010-04-07 15:14:52 UTC
Thanks!
Comment 8 Andre Klapper maemo.org 2012-03-24 11:39:54 UTC
The Maemo 5 User Interface and Maemo 5 platform components (e.g. libraries)
used for the N900 are considered stable by Nokia and it seems that there are no
plans for official updates currently, hence nobody plans to work on this
enhancement/wishlist request. 
(And in case you feel like discussing this situation: Nokia Customer Care or
http://talk.maemo.org would be the place to do so as you will not reach Nokia
officials in this community bugtracker - though all of this is really no news.)

Reflecting this status by setting RESOLVED WONTFIX for this
enhancement/wishlist request (see
https://bugs.maemo.org/page.cgi?id=fields.html#status for status explanations).

There is a small chance for issues in those Maemo components that are open
source: Contributed patches could be included and made available in the Maemo 5
Community CSSU updates. 
The Maemo CSSU project is run by a small team of volunteers; see
http://wiki.maemo.org/CSSU for more information.
So in case that you can provide a patch that fixes the reported problem, please
feel encouraged to file a request under
https://bugs.maemo.org/enter_bug.cgi?product=Maemo%205%20Community%20SSU .
Please note: The Maemo CSSU project is not related in any way to Nokia.


( Tag for mass-deleting bugmail: [cleanup20120324] )